View Issue Details

IDProjectCategoryView StatusLast Update
0018094MediaMonkey 5Playlistspublic2022-05-25 15:09
Reporterpeke Assigned To 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.4Fixed in Version5.0.3 
Summary0018094: Playlist: Add modified value for playlists to be seen in MM UI
DescriptionBased on DB structure we already have LastModified value for Playlists in DB, but it is nowhere obviously used.

1) It could be useful to have it seen in playlist properties and sortable in various browser views to make managing playlist bit easier

2) It could be also used as a Sync parameter for playlist so that MM5 auto add newest playlist eg. last 7 days to Sync list (ATM user can create Auto-Playlist that contain tracks from past 7 days, but that do sync only tracks not playlist that user creates)

3) Maybe even adding Created Value to be even more precise in searching/filtering and TO sync analyze process.

MMA:
4) There is reports that even Playlists are not changed in MMA side users can get confirmation to upload/update it back to MM.
Additional InformationTicket # 1965

4) https://www.mediamonkey.com/forum/viewtopic.php?f=26&t=99868
TagsNo tags attached.
Fixed in build2620

Activities

rusty

2021-10-12 17:09

administrator   ~0065133

Peke, this bug seems to conflate a feature request and a sync bug. The feature re. adding 'Last modified' to playlists seems to be 'low' priority.

The bug that playlist synchronization isn't working correctly is 'Urgent', and the means suggested for resolving it is an implementation detail. So if there is a sync bug, please open one as a separate issue so that we can fix it urgently.

peke

2021-10-19 00:27

developer   ~0065297

Last edited: 2021-10-19 00:33

View 2 revisions

There is no actual bug, this is added in order to make "Analyzing Sync list" quicker as MM5 and MMA would easier go thru large number of Playlists and be exactly which side modified playlist eg.:

Point 3,4:
a) MM5: Synced 03.10.2021, Modified 05.10.2021; MMA: Synced 03.10.2021, Modified 03.10.2021 = Nothing to sync or update
b) MM5: Synced 03.10.2021, Modified 05.10.2021; MMA: Synced 03.10.2021, Modified 06.10.2021 = MMA Updated sync back to MM5 (Point 4)
c) MM5: Synced 03.10.2021, Modified 06.10.2021; MMA: Synced 03.10.2021, Modified 03.10.2021 = MM5 Updated sync to MMA (Point 3)

POINT 1:
Created/Modified/Synced Tag is usefull in Sortin/managing Playlists (Image attached)

POINT2:
If you are heavy on playlist creation then adding additional option to Playlists settings of device profile "Sync playlists created in past: 7__ Days."

peke

2021-10-19 00:28

developer   ~0065298

bug18094_1.png (67,666 bytes)   
bug18094_1.png (67,666 bytes)   

rusty

2022-04-20 18:22

administrator   ~0067622

I would suggest something much simpler to start: show the 'Timestamp' (an existing string) field for both tracks and playlists (note: we may want to change 'Timestamp' to 'Modified' for 5.1.

i) For tracks, Properties > Details, show 'Timestamp:' below the 'Added:' field
ii) For playlists: in the Browser view, show 'Timestamp:' below the # files, x mb, mm:ss indicator
iii) For autoplaylists: in the Browser view, show 'Timestamp:' below the # files, x mb, mm:ss indicator. The timestamp should be updated whenever the list of tracks has been refreshed.

Ludek

2022-04-22 12:27

developer   ~0067675

Last edited: 2022-04-22 12:31

View 3 revisions

i) I don't think that it is needed for tracks as this kind of info is already available via tracklist column 'Timestamp'
ii) => Added in 2617 to the playlist Info panel as suggested
iii) Before sync the timestamp for auto-playlists is recalculated (comparing LastContentHash with the new/actual content to decide whether the content was modified and a sync is needed), but doing this everytime the list is refreshed is a needless performance degradation IMO, so I keep the Timestamp info hidden for auto-playlists

peke

2022-04-26 01:41

developer   ~0067788

Verified ii) and iii) in 2617.

lowlander

2022-04-29 16:53

developer   ~0067880

i) I agree that adding this to Properties under Added would be a good thing. The fact that it's displayed elsewhere isn't a good argument as most fields are already displayed in the Filelisting.

Ludek

2022-05-02 14:42

developer   ~0067921

i) OK, added the Timestamp to Properties > Details in build 2620

peke

2022-05-04 01:13

developer   ~0067956

All verified/re-verified 2620